# Input collinearity file
# Input 1-1 (QTL_region_all_gene)
synteny_file = open(sys.argv[1], 'r').readlines()
QTL_file = open(sys.argv[2], 'r').readlines()

synteny_block = []

# Search for Gm synteny block of QTL region
for line in synteny_file:
    if line.startswith('#'):
        continue
    cont = line.strip().split('\t')
    synteny_num = cont[0].split('-')[0]
    synteny_block_ID = cont[1]
    QTL_gene_Id = cont[2]
    for QTL_gene in QTL_file:
        QTL_gene = QTL_gene.split()[0]
        if synteny_block_ID == QTL_gene or QTL_gene_Id == QTL_gene:
            if synteny_num not in synteny_block:
                synteny_block.append(synteny_num)

# Print all genes in Gm synteny block of QTL region
for line in synteny_file:
    if line.startswith('#'):
        continue
    for block_num in synteny_block:
        output_file = open('2-2_synteny_' + block_num + '.txt', 'a')
        w_cont = ''
        if line.strip().startswith(block_num + '-'):
            w_cont += line
        output_file.write(w_cont)
        output_file.close()
